kwin (4:5.24.4-ok7~1030) yangtze; urgency=medium

  * fix: ukui-decoration: use float variable to save screen scale
  * fix: internal window can not wheel in wayland
  * fix: the issue of ineffective touch without mouse keys
  * fix: the issue of some special effects in wayland that failed to disable the start menu

 -- Mouse Zhang <mousezhang@openkylin.top>  Mon, 30 Oct 2023 16:01:37 +0800

kwin (4:5.24.4-ok7~0911) yangtze; urgency=medium

  * fix: do not move window if the screen area is simply expanded. (Closes: #I642JH)
  * fix: scenes/qpainter: Fix software cursor check in paintCursor()

 -- Mouse Zhang <mousezhang@openkylin.top>  Mon, 11 Sep 2023 09:46:07 +0800

kwin (4:5.24.4-ok7~0831) yangtze; urgency=medium

  * fix: limit touch point's max coordinate
  * fix: wemeet cannot show normally in tablet mode. (Closes: #135863)
  * fix: window which lost focus does not hide when click blur area.
    (Closes: #157316)
  * fix: blur window doesn't exist normally. (Closes: #168430)
  * fix: fix error logic in finding windows from the same process. 
    (Closes: #178404)

 -- Mouse Zhang <mousezhang@openkylin.top>  Thu, 31 Aug 2023 09:23:53 +0800

kwin (4:5.24.4-ok7~0710) yangtze; urgency=medium

  * fix: avoid null pointer exception when setting active client to null. (Closes: #135863)

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Mon, 10 Jul 2023 11:00:26 +0800

kwin (4:5.24.4-ok7~0630) yangtze; urgency=medium

  * fix: show main window in alt+tab view.
  * fix: set active client to nullptr when internal window is
    tablet_blur_background. (Closes: #I72PF4)

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Fri, 30 Jun 2023 15:43:26 +0800

kwin (4:5.24.4-ok7~0625) yangtze; urgency=medium

  * fix: usd windows do not show on Alt+Tab Page. (Closes: #I71XLR)
  * fix: cannot return to the desktop by clicking the blank space of the multitask view
    in tablet mode. (Closes: #I79H6Q)

 -- Jie Liu <liujie01@kylinos.cn>  Sun, 25 Jun 2023 08:40:16 +0800

kwin (4:5.24.4-ok7~0531) yangtze; urgency=medium

  * fix: app which use showMinimized by qt cannot minimize normally.
    (Closes: #I72IGM, #I72HQW, #I6RS39, #I76W3P)
  * fix: connect signal clientAdded to gesture input filter. (Closes: #I6ZRP7)

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Wed, 31 May 2023 19:07:06 +0800

kwin (4:5.24.4-ok7~0523.1) yangtze; urgency=medium

  * fix: remove suffix from window caption. (Closes: #I6YYOJ)
  * fix: touchpad and touch pen cursor style is not arrow. (Closes: #128476)
  * fix: update pointer focus only when cursor exists. (Closes: #I6511S)
  * fix: set platformtheme to ukui. (Closes: #I646EZ)
  * fix: touch and long press the title bar cannot pop up the context menu. (Closes: #I72LNX)

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Tue, 23 May 2023 11:48:58 +0800

kwin (4:5.24.4-ok7~0523) yangtze; urgency=medium

  * remove suffix from window caption
  * fix cursor style
  * update pointer focus only when cursor exists
  * set platformtheme to ukui
  * fix: touch and long press the title bar cannot pop up the context menu

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Tue, 23 May 2023 11:48:58 +0800

kwin (4:5.24.4-ok7~0512) yangtze; urgency=medium

  * modify show desktop logic
  * adjust for the order of input event filters
  * revert "change Always Show Desktop shortcut from Meta + H to Meta + M"
  * fix: click blur window cannot make windows exited which can quit automatially

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Thu, 11 May 2023 14:05:20 +0800

kwin (4:5.24.4-ok7~0427) yangtze; urgency=medium

  * sava CapsLock and NumLock status
  * add touchpad gesture spy
  * add some "if name = xxx" in tablet manager

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Thu, 27 Apr 2023 17:28:53 +0800

kwin (4:5.24.4-ok7~0417) yangtze; urgency=medium

  * desktop window needn't dark effect
  * do not set keyboard focus on grab popup
  * add haveFullScreenWindow and haveFullScreenActiveWindow dbus interface
  * do not handle unmaximize requested when in tablet mode

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Mon, 17 Apr 2023 18:11:48 +0800

kwin (4:5.24.4-ok7~0331) yangtze; urgency=medium

  * change Always Show Desktop shortcut from Meta + H to Meta + M
  * effects/blur: Make shader code readable
  * don't active leader if it has other transients when closing a transient window
  * disable ubr effect on unknown type window
  * fix titlebar buttons cannot display entirely

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Fri, 31 Mar 2023 09:16:57 +0800

kwin (4:5.24.4-ok7~0313) yangtze; urgency=medium

  * change blur strength to 15

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Mon, 13 Mar 2023 17:13:29 +0800

kwin (4:5.24.4-ok7~0310) yangtze; urgency=medium

  * disable sessionquit effect

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Fri, 10 Mar 2023 10:12:20 +0800

kwin (4:5.24.4-ok7~0111) yangtze; urgency=medium

  * fix crash when closing window

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Wed, 11 Jan 2023 11:07:53 +0800

kwin (4:5.24.4-ok7~0109) yangtze; urgency=medium

  * fix: 解决 wayland 下打开应用即被最小化问题
  * issue: https://gitee.com/openkylin/ukui-sidebar/issues/I694B6

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Mon, 09 Jan 2023 16:33:11 +0800

kwin (4:5.24.4-ok7~0104) yangtze; urgency=medium

  * fix: 修改平板模式下显示桌面逻辑
  * issue: https://gitee.com/openkylin/qt5-gesture-extensions/issues/I65FMT

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Wed, 04 Jan 2023 10:22:22 +0800

kwin (4:5.24.4-ok6~1226) yangtze; urgency=medium

  * Fix the problem that the power management interface can evoke multi task view

 -- liling <liling@kylinos.cn>  Mon, 26 Dec 2022 17:06:19 +0800

kwin (4:5.24.4-ok6~1213) yangtze; urgency=medium

  * fix window minimize after relogin

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Tue, 13 Dec 2022 17:09:52 +0800

kwin (4:5.24.4-ok6~1212) yangtze; urgency=medium

  * Fix the problem that kwin crashes when the system mode changes

 -- liling <liling@kylinos.cn>  Mon, 12 Dec 2022 16:56:04 +0800

kwin (4:5.24.4-ok6~1207) yangtze; urgency=medium

  * fix blur effect on the window corner
  * optimize ubr

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Wed, 07 Dec 2022 15:47:37 +0800

kwin (4:5.24.4-ok6~1206) yangtze; urgency=medium

  * closeWindow: calling AppManager with pid to unfreeze application;

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Tue, 06 Dec 2022 10:30:43 +0800

kwin (4:5.24.4-ok6~1130) yangtze; urgency=medium

  * Chore: update touchgesture.xml 

 -- wangyan <wangyan@kylinos.cn>  Wed, 30 Nov 2022 11:45:25 +0800

kwin (4:5.24.4-ok6~1129) yangtze; urgency=medium

  * Add: Add the function of gesture following and gesture following frosted glass in the taskbar
  * Add: Add desktop switching animation
  * Add: add unmanageWindowActived() signal notify ukui-tablet-desktop

 -- liling <liling@kylinos.cn>  Tue, 29 Nov 2022 09:47:46 +0800

kwin (4:5.24.4-ok6~1124) yangtze; urgency=medium

  * Fix: blur background window probably shows icon in the taskbar on X11

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Thu, 24 Nov 2022 14:32:18 +0000

kwin (4:5.24.4-ok6~1123.1) yangtze; urgency=medium

  * tablet mode manager refactoring
  * add blur background for tablet mode

 -- pangyi <pangyi@kylinos.cn>  Wed, 23 Nov 2022 11:49:34 +0800

kwin (4:5.24.4-ok6~1122) yangtze; urgency=medium

  * cherry-pick upstream commit to fix blur stripes
  * add blend effect

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Tue, 22 Nov 2022 09:27:38 +0800

kwin (4:5.24.4-ok6~1121) yangtze; urgency=medium

  * Fix: touch broked after touch swipe on ukui-window-switch
  * issue: https://gitee.com/openkylin/ukui-window-switch/issues/I5VI7P

 -- wangweinan <wangweinan@kylinos.cn>  Mon, 21 Nov 2022 11:06:22 +0800

kwin (4:5.24.4-ok6~1116) yangtze; urgency=medium

  * ukui-decoration: diffierent title bar on tablet mode

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Wed, 16 Nov 2022 16:21:25 +0800

kwin (4:5.24.4-ok6~1115) yangtze; urgency=medium

  * Add variable blur strength.

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Tue, 15 Nov 2022 10:29:50 +0800

kwin (4:5.24.4-ok6~1103) yangtze; urgency=medium

  * close-cd #130635 【wayland】【触摸】【手势】使用手势最小化窗口，屏幕画面四周会黑一下

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Thu, 03 Nov 2022 19:45:16 +0800

kwin (4:5.24.4-ok6~1102) yangtze; urgency=medium

  * Fix: 【X】【系统】登录进入系统桌面后开机音效、任务栏右侧托盘图标加载慢生效明显慢，大约慢6S左右.
  * issue: https://gitee.com/openkylin/community/issues/I5X3FK

 -- liujie01 <liujie01@kylinos.cn>  Wed, 02 Nov 2022 17:40:43 +0800

kwin (4:5.24.4-ok6~1026) yangtze; urgency=medium

  * Fix: Can not use touch gesture in X11.
  * issue: https://gitee.com/openkylin/community/issues/I5X3CL

 -- wangweinan <wangweinan@kylinos.cn>  Wed, 26 Oct 2022 19:14:44 +0800

kwin (4:5.24.4-ok6~1021) yangtze; urgency=medium

  * close-cd #137950 平板模式下进入过多任务视图界面，无法使用鼠标点击/手势唤出侧边栏
  * new window switcher functions

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Fri, 21 Oct 2022 10:16:35 +0800

kwin (4:5.24.4-ok6~0825) yangtze; urgency=medium

  * accept focus: ukui-sidebar;

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Thu, 25 Aug 2022 18:18:02 +0800

kwin (4:5.24.4-ok6~0824) yangtze; urgency=medium

  * close-cd #127711 桌面模式与平板模式来回切换，有概率出现侧边栏不显示在屏幕右侧
  * close-cd #134049 进入平板模式打开侧边栏，一定显示在左侧且不点击选项无法关闭

 -- zouxiaoyi <zouxiaoyi@kylinos.cn>  Wed, 24 Aug 2022 13:40:07 +0800

kwin (4:5.24.4-ok6~0822) yangtze; urgency=medium

  * close-cd #131208 屏幕配置刷新率恢复失败
  * close-cd #131138 屏幕配置旋转状态恢复失败
  * close-cd #132982 登录界面切换到大写，进桌面后caps灯和实际大小写状态不匹配
  * fix ukui-screensaver issues
  * no accept focus: ukui-settings-daemon, ukui-sidebar, ukui-notifications
  * effects: change ubr id from "org.ukui.ubr" to "ubr"
  * effects: disable grayscale by default

 -- Hongfei Shang <shanghongfei@kylinos.cn>  Mon, 22 Aug 2022 20:19:59 +0800

kwin (4:5.24.4-ok5) yangtze; urgency=medium

  * update version info

 -- luzhiping <luzhiping@kylinos.cn>  Mon, 22 Aug 2022 14:00:54 +0800

kwin (4:5.24.4-ok4~0727) yangtze; urgency=medium

  * Add ubr effect.
  * Fix dump when gsetting is not exist.

 -- Mouse Zhang <zhangzihao@kylinos.cn>  Wed, 27 Jul 2022 09:59:54 +0800

kwin (4:5.24.4-ok4~0725) yangtze; urgency=medium

  * close-cd #126994 无法使用截图功能

 -- Hongfei Shang <shanghongfei@kylinos.cn>  Mon, 25 Jul 2022 19:47:08 +0800

kwin (4:5.24.4-ok4~0721) yangtze; urgency=medium

  * add multiscreen config support, auto save and restore.
  * 锁屏屏蔽快捷键
  * 取消session打开特效
  * close-cd #129995 【天气】天气最小化图标缺失
  * close-cd #127730 平板模式下顶层窗口没有最大化；

 -- Hongfei Shang <shanghongfei@kylinos.cn>  Sun, 17 Jul 2022 23:12:50 +0800

kwin (4:5.24.4-ok4~0714) yangtze; urgency=medium

  * close-cd #127741 保留 alt+f9/f10 窗口最小化/最大化的快捷键
  * close-cd #128640 窗口大小无限制问题
  * remove wayland interface restriction

 -- Hongfei Shang <shanghongfei@kylinos.cn>  Thu, 14 Jul 2022 20:50:03 +0800

kwin (4:5.24.4-ok4~0707) yangtze; urgency=medium

  * 解决Wayland下手势不可用问题
  * AppManager: some api for app manager;
  * touch gesture: add show desktop dbus, modify touch config;
  * wayland protocols：
    - ukui_decoration_move_surface
    - ukui_decoration_set_ukui_decoration_mode
    - ukui_decoration_set_unity_border_radius
  * kwinrc: enable composite by default
  * 修复平板模式下应用未全屏的问题
  * 在关闭wayland程序前调用appmanager的dbus
  * close-cd #127026 修复win无法唤起开始菜单问题
  * close-cd #125355 修复双标题栏问题

 -- Kevin Duan <duankaiwen@kylinos.cn>  Thu, 23 Jun 2022 21:23:52 +0800

kwin (4:5.24.4-ok3~0621) yangtze; urgency=medium

  * Build openKylin

 -- Xie Wei <xiewei@kylinos.cn>  Tue, 07 Jun 2022 08:34:58 +0800
